# Uses of Interface
org.mariadb.jdbc.plugin.CredentialPlugin

Packages that use CredentialPlugin
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.credential.aws
org.mariadb.jdbc.plugin.credential.env
org.mariadb.jdbc.plugin.credential.system

## Uses of CredentialPlugin in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
Configuration.`credentialPlugin()`
credential plugin to use

## Uses of CredentialPlugin in org.mariadb.jdbc.plugin

Methods in org.mariadb.jdbc.plugin that return CredentialPlugin
Modifier and Type
Method
Description
`default CredentialPlugin`
CredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`
Permit initializing plugin if overridden

## Uses of CredentialPlugin in org.mariadb.jdbc.plugin.credential.aws

Classes in org.mariadb.jdbc.plugin.credential.aws that implement CredentialPlugin
Modifier and Type
Class
Description
`class`
`AwsIamCredentialPlugin`
Permit AWS database IAM authentication.
Methods in org.mariadb.jdbc.plugin.credential.aws that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
AwsIamCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`

## Uses of CredentialPlugin in org.mariadb.jdbc.plugin.credential.env

Classes in org.mariadb.jdbc.plugin.credential.env that implement CredentialPlugin
Modifier and Type
Class
Description
`class`
`EnvCredentialPlugin`
Authentication using environment variable.
Methods in org.mariadb.jdbc.plugin.credential.env that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
EnvCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`

## Uses of CredentialPlugin in org.mariadb.jdbc.plugin.credential.system

Classes in org.mariadb.jdbc.plugin.credential.system that implement CredentialPlugin
Modifier and Type
Class
Description
`class`
`PropertiesCredentialPlugin`
Authentication using java system properties.
Methods in org.mariadb.jdbc.plugin.credential.system that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
PropertiesCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`